atsc_table_eit_desc_length Union Reference
Digital TV table parsing

ATSC EIT descriptor length. More...

`#include <atsc_eit.h>`

## Data Fields

uint16_t | bitfield
struct { |
uint16_t desc_length:12 |
uint16_t reserved:4 |
}; |

## Detailed Description

ATSC EIT descriptor length.

Parameters

  desc_length | descriptor length

This structure is used to store the original ATSC EIT event table, converting the integer fields to the CPU endianness, and converting the timestamps to a way that it is better handled on Linux.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Definition at line 121 of file atsc_eit.h.

## Field Documentation

## [struct]

struct { ... } atsc_table_eit_desc_length

## bitfield

uint16_t atsc_table_eit_desc_length::bitfield

Definition at line 122 of file atsc_eit.h.

## desc_length

uint16_t atsc_table_eit_desc_length::desc_length

Definition at line 124 of file atsc_eit.h.

## reserved

uint16_t atsc_table_eit_desc_length::reserved

Definition at line 125 of file atsc_eit.h.

The documentation for this union was generated from the following file:

- lib/include/libdvbv5/atsc_eit.h